Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET knowledge_base/catalogs/:catalogId/categories/:categoryId/articles

Ostatnia modyfikacja 1970-01-02 01:00:00
Zwraca listę opublikowanych artykułów w danej kategorii.

URL

https://your-system-name.thulium.com/api/knowledge_base/catalogs/:catalogId/categories/:categoryId/articles

Parametry

catalogId

wymagany

Identyfikator katalogu. Przykładowa wartość: 8df31cdd-822d-4b13-9b23-155b5cd6ca7c
categoryId

wymagany

Identyfikator kategorii. Przykładowa wartość: 742b4a0f-cec1-46ca-8175-cb7ca9746368

Przykładowy request

GET https://your-system-name.thulium.com/api/knowledge_base/catalogs/8df31cdd-822d-4b13-9b23-155b5cd6ca7c/categories/742b4a0f-cec1-46ca-8175-cb7ca9746368/articles

Przykładowy response

{
  "articles": [
    {
      "id": "fa97e6fa-f458-4ea5-be5d-da72ed9b5197",
      "title": "How to reset password",
      "featured": true,
      "feedback": {
        "positive": 10,
        "negative": 1
      }
    }
  ]
}

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/knowledge_base/catalogs/8df31cdd-822d-4b13-9b23-155b5cd6ca7c/categories/742b4a0f-cec1-46ca-8175-cb7ca9746368/articles');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/knowledge_base/catalogs/8df31cdd-822d-4b13-9b23-155b5cd6ca7c/categories/742b4a0f-cec1-46ca-8175-cb7ca9746368/articles");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/knowledge_base/catalogs/8df31cdd-822d-4b13-9b23-155b5cd6ca7c/categories/742b4a0f-cec1-46ca-8175-cb7ca9746368/articles"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/knowledge_base/catalogs/8df31cdd-822d-4b13-9b23-155b5cd6ca7c/categories/742b4a0f-cec1-46ca-8175-cb7ca9746368/articles Accept:application/json